# Uses of Interface
com.sun.mirror.apt.AnnotationProcessorListener

Packages that use AnnotationProcessorListener
Package
Description
com.sun.mirror.apt
Classes used to communicate information between annotation processors and an annotation processing tool.

## Uses of AnnotationProcessorListener in com.sun.mirror.apt

Subinterfaces of AnnotationProcessorListener in com.sun.mirror.apt
Modifier and Type
Interface
Description
`interface`
`RoundCompleteListener`
Listener for the completion of a round of annotation processing.
Methods in com.sun.mirror.apt with parameters of type AnnotationProcessorListener
Modifier and Type
Method
Description
`void`
AnnotationProcessorEnvironment.`addListener(AnnotationProcessorListener listener)`
Add a listener.
`void`
AnnotationProcessorEnvironment.`removeListener(AnnotationProcessorListener listener)`
Remove a listener.